### Enumeration

# GUsb DeviceError

#### Declaration

    enum GUsb.DeviceError

#### Description

The error code.

#### Members

Name | Description
--- | ---
`G_USB_DEVICE_ERROR_INTERNAL` | Internal error.
`G_USB_DEVICE_ERROR_IO` | IO error.
`G_USB_DEVICE_ERROR_TIMED_OUT` | Operation timed out.
`G_USB_DEVICE_ERROR_NOT_SUPPORTED` | Operation not supported.
`G_USB_DEVICE_ERROR_NO_DEVICE` | No device found.
`G_USB_DEVICE_ERROR_NOT_OPEN` | Device is not open.
`G_USB_DEVICE_ERROR_ALREADY_OPEN` | Device is already open.
`G_USB_DEVICE_ERROR_CANCELLED` | Operation was cancelled.
`G_USB_DEVICE_ERROR_FAILED` | Operation failed.
`G_USB_DEVICE_ERROR_PERMISSION_DENIED` | Permission denied.
`G_USB_DEVICE_ERROR_BUSY` | Device was busy.